Package org.eclipse.m2m.atl.engine.emfvm.lib

# Class OclSimpleType

java.lang.Object
org.eclipse.m2m.atl.engine.emfvm.lib.OclType
org.eclipse.m2m.atl.engine.emfvm.lib.OclSimpleType

public class OclSimpleType extends OclType
OCL simple type.

## Constructor Summary

Constructors
Constructor
Description
`OclSimpleType()`
Constructor.
`OclSimpleType(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`conformsTo(OclType other)`
Tests if the current object conforms to the given object.
`boolean`
`equals(Object obj)`
`int`
`hashCode()`

### Methods inherited from class org.eclipse.m2m.atl.engine.emfvm.lib.OclType

`addSimpleType, getName, getNativeClassfromOclTypeName, getOclTypeFromObject, getSupertypes, setName, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OclSimpleType

public OclSimpleType(String name)
Constructor.

Parameters:
  `name` - the type name

### OclSimpleType

public OclSimpleType()
Constructor.

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
See Also:
  - `Object.equals(java.lang.Object)`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
See Also:
  - `Object.hashCode()`

### conformsTo

public boolean conformsTo(OclType other)
Tests if the current object conforms to the given object.

Specified by:
  `conformsTo` in class `OclType`
Parameters:
  `other` - the other object
Returns:
  true if the current object conforms to the given object
See Also:
  - `OclType.conformsTo(org.eclipse.m2m.atl.engine.emfvm.lib.OclType)`